package com.yc.ship.module.ota.controller.admin.distributorproduct.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

import static com.yc.ship.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;
import static com.yc.ship.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 平台产品与分销商关系新增/修改 Request VO")
@Data
public class DistributorProductSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "24875")
    private String id;
    @Schema(description = "主键集合")
    private List<Long> idList;

    @Schema(description = "分销商id集合")
    private List<String> distributorIds;

    @Schema(description = "分销商ID", example = "5749")
    private Long distributorId;

    @Schema(description = "产品ID", example = "22107")
    private Long productId;

    @Schema(description = "产品skuID", example = "21389")
    private Long productSkuId;

    @Schema(description = "出行方案id", example = "21389")
    private Long routePlanId;

    @Schema(description = "成本价", example = "14419")
    private BigDecimal costPrice;

    @Schema(description = "销售价", example = "18903")
    private BigDecimal salePrice;

    @Schema(description = "库存")
    private Integer stock;

    @Schema(description = "产品合作开始时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private LocalDateTime startDate;

    @Schema(description = "产品合作截止时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private LocalDateTime endDate;

    @Schema(description = "是否启用")
    private Integer isUse;

    @Schema(description = "是否同步产品到门店")
    private Integer syncToStore;

    @Schema(description = "产品名称")
    private String productName;

    private String externalAccountId;

    private String externalPoiIds;

    private String externalCategoryId;

    @Schema(description = "分销商编码-OA")
    private String custCode;

}
