package com.yc.ship.module.ota.controller.admin.distributorproduct.vo.product;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 初始化当前产品与分销商关联关系 Request VO")
@Data
public class InitializeDistributorProductReqVO {

    @Schema(description = "类型 1:ota分销商 2:旅行社")
    @NotNull(message = "分销类型不能为空")
    private Integer channelType;

    @Schema(description = "产品ID")
    @NotNull(message = "产品ID不能为空")
    private Long productId;

    @Schema(description = "产品skuID")
    private Long productSkuId;

    @Schema(description = "上下架状态")
    private Integer isUse;

    @Schema(description = "分销商id")
    private String distributorIds;

}
