package com.yc.ship.module.ota.controller.admin.distributorproduct.vo.product;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author aoxiang
 * @description todo
 * @date 2024/9/2 15:48
 */
@Schema(description = "RPC 服务 - Product 产品规格信息 Response DTO")
@Data
public class ProductGroupRespVO {
    @Schema(description = "产品ID")
    private Long productId;
    @Schema(description = "基础产品ID;平台产品时为关联ID", example = "8989")
    private Long productBaseId;
    @Schema(description = "基础产品名称", example = "测试")
    private String productBaseName;

    @Schema(description = "规格ID", example = "7216")
    private Long specificationId;

    @Schema(description = "规格名称", example = "测试")
    private String specificationName;

    @Schema(description = "规格类型", example = "11")
    private String specType;

    @Schema(description = "成本价格", example = "11")
    private BigDecimal costPrice;

    @Schema(description = "销售价格", example = "11")
    private BigDecimal salePrice;

    @Schema(description = "是否必选;0否 1是", example = "1")
    private Integer needChoose;

    @Schema(description = "使用状态", example = "1")
    private Integer isUse;


    @Schema(description = "是否选中（0否 1是）", example = "1")
    private Integer selected = 0;
}
