package com.yc.ship.module.ota.controller.admin.distributorproduct.vo.product;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 分销产品 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ProductRespVO {

    @Schema(description = "产品ID", example = "22107")
    @ExcelProperty("产品ID")
    private Long productId;

    @Schema(description = "产品skuID", example = "21389")
    @ExcelProperty("产品skuID")
    private Long productSkuId;

    @Schema(description = "产品名称")
    @ExcelProperty("产品名称")
    private String productName;

    @Schema(description = "分类ID", example = "22107")
    @ExcelProperty("分类ID")
    private Long categoryId;

    @Schema(description = "分类名称", example = "22107")
    @ExcelProperty("分类名称")
    private String categoryName;

    @Schema(description = "产品规格")
    @ExcelProperty("产品规格")
    private String specType;

    @Schema(description = "销售价", example = "18903")
    @ExcelProperty("销售价")
    private BigDecimal salePrice;

    @Schema(description = "产品状态")
    @ExcelProperty("产品状态")
    private Integer isUse;

    @Schema(description = "产品开始销售日期")
    @ExcelProperty("产品合作开始时间")
    private LocalDateTime startDate;

    @Schema(description = "产品截止销售日期")
    @ExcelProperty("产品合作截止时间")
    private LocalDateTime endDate;

    @Schema(description = "出行方案id", example = "21389")
    private Long routePlanId;

    @Schema(description = "序号")
    @ExcelProperty("序号")
    private Integer sort;

}
