package com.yc.ship.module.ota.controller.admin.password.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 更新/重置操作密码 Request VO")
@Data
public class OperatePasswordCheckAndResetReqVO {

    @Schema(description = "密码类型", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotNull(message = "密码类型不能为空")
    private Integer type;

    @Schema(description = "密码", requiredMode = Schema.RequiredMode.REQUIRED, example = "123456")
    @NotEmpty(message = "密码不能为空")
    private String password;

}
