package com.yc.ship.module.ota.controller.admin.password.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import com.yc.ship.framework.common.pojo.PageParam;
import static com.yc.ship.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;


@Schema(description = "管理后台 - 操作密码分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OperatePasswordPageReqVO extends PageParam {

    @Schema(description = "用户ID", example = "4075")
    private Long userId;

    @Schema(description = "密码类型", example = "1")
    private Integer type;

    @Schema(description = "密码")
    private String password;

    @Schema(description = "状态0-禁用，1-启用", example = "1")
    private Integer status;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}