package com.yc.ship.module.ota.dal.dataobject.distributorproduct;

import com.baomidou.mybatisplus.annotation.*;
import com.yc.ship.framework.tenant.core.db.TenantBaseDO;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * 分销商旅行社价格 DO
 *
 * @author 管理员
 */
@TableName("ota_distributor_agency_price")
@KeySequence("ota_distributor_agency_price_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DistributorAgencyPriceDO extends TenantBaseDO {

    /**
     * 主键ID
     */
    @TableId(type = IdType.INPUT)
    private String id;
    /**
     * 分销商ID
     */
    private Long distributorId;

    /**
     * 分销商产品ID
     */
    private Long distributorProductId;
    /**
     * 产品ID
     */
    private Long productId;
    /**
     * 产品skuID
     */
    private Long productSkuId;
    /**
     * 产品规格
     */
    private String specType;
    /**
     * 成本价
     */
    private BigDecimal costPrice;
    /**
     * 销售价
     */
    private BigDecimal salePrice;
    /**
     * 库存
     */
    private Integer stock;
    /**
     * 是否启用
     */
    private Integer isUse;
    /**
     * 是否启用租户
     */
    @TableField(exist = false)
    private Integer useTenant = 1;

    @TableField(exist = false)
    private Date startDate;
    @TableField(exist = false)
    private Date endDate;
}
