package com.yc.ship.module.ota.dal.dataobject.distributorproduct;

import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import com.yc.ship.framework.mybatis.core.dataobject.BaseDO;

/**
 * 分销商基础产品规格 DO
 *
 * @author 管理员
 */
@TableName("ota_distributor_project")
@KeySequence("ota_distributor_project_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DistributorProjectDO extends BaseDO {

    /**
     * 主键
     */
    @TableId(type = IdType.INPUT)
    private Long id;
    /**
     * 分销商ID
     */
    private Long distributorId;
    /**
     * 分销产品ID
     */
    private String distributorProductId;
    /**
     * 产品ID
     */
    private Long productId;
    /**
     * 基础产品ID
     */
    private Long productBaseId;
    /**
     * 规格ID
     */
    private Long specificationId;
    /**
     * 规格type
     */
    private String specType;

    /**
     * 使用状态;0否 1是
     */
    private Integer isUse;
    /**
     * 成本价格
     */
    private BigDecimal costPrice;
    /**
     * 销售价格
     */
    private BigDecimal salePrice;

}