package com.yc.ship.module.ota.service.distributorrecharge;

import com.yc.ship.framework.common.pojo.CommonResult;
import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.module.ota.api.dto.DistributorRechargeReqDTO;
import com.yc.ship.module.ota.api.dto.DistributorRechargeRespDTO;
import com.yc.ship.module.ota.controller.admin.distributorrecharge.vo.DistributorRechargeAuditReqVO;
import com.yc.ship.module.ota.controller.admin.distributorrecharge.vo.DistributorRechargePageReqVO;
import com.yc.ship.module.ota.controller.admin.distributorrecharge.vo.DistributorRechargeRespVO;
import com.yc.ship.module.ota.controller.admin.distributorrecharge.vo.DistributorRechargeSaveReqVO;
import com.yc.ship.module.ota.dal.dataobject.distributorrecharge.DistributorRechargeDO;

import javax.validation.Valid;

/**
 * 分销商充值 Service 接口
 *
 * @author 管理员
 */
public interface DistributorRechargeService {

    /**
     * 创建分销商充值
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createDistributorRecharge(@Valid DistributorRechargeSaveReqVO createReqVO);

    /**
     * 更新分销商充值
     *
     * @param updateReqVO 更新信息
     */
    void updateDistributorRecharge(@Valid DistributorRechargeSaveReqVO updateReqVO);

    /**
     * 删除分销商充值
     *
     * @param id 编号
     */
    void deleteDistributorRecharge(Long id);

    /**
     * 获得分销商充值
     *
     * @param id 编号
     * @return 分销商充值
     */
    DistributorRechargeDO getDistributorRecharge(Long id);

    DistributorRechargeRespVO get(Long id);

    /**
     * 获得分销商充值分页
     *
     * @param pageReqVO 分页查询
     * @return 分销商充值分页
     */
    PageResult<DistributorRechargeRespVO> getDistributorRechargePage(DistributorRechargePageReqVO pageReqVO);

    /**
     * 审核
     * @param updateReqVO
     */
    void auditDistributorRecharge( DistributorRechargeAuditReqVO updateReqVO);

    /**
     * 分销商后台充值
     * @param rechargeDO
     * @return
     */
    public Long backDistributorRecharge(DistributorRechargeDO rechargeDO);

    /**
     * 分销商交易充值
     *
     * @param rechargeReqDTO
     * @return
     */
    CommonResult<DistributorRechargeRespDTO> tradeRecharge(DistributorRechargeReqDTO rechargeReqDTO);

}