package com.yc.ship.module.otc.api.agency.dto;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 门店设备关联 DO
 *
 * @author 管理员
 */

// 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Schema(description = "RPC 服务 - 旅行社用户登录返回信息Response DTO")
@Data
public class StoreMachineProductRespDTO implements Serializable {

    /**
     * 门店设备产品关联表ID
     */

    private Long id;
    /**
     * 门店ID
     */
    private Long storeId;
    /**
     * 产品ID
     */
    private Long productId;
    /**
     * 设备ID
     */
    private Long machineId;

    /**
     * 关联产品ID
     */
    private List<Long> checkedValues;
}
