package com.yc.ship.module.otc.api.store.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 同步门店产品状态
 * @author JuneQI
 * @date 2025/1/14 14:40
 */
@Schema(description = "RPC 服务 - 同步门店产品状态Request DTO")
@Data
public class StoreProductReqDTO {

    @Schema(description = "旅行社id", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "旅行社id不能为空")
    Long distributorId;

    @Schema(description = "产品id集合")
    @NotNull(message = "产品id不能为空")
    private List<Long> idList;

    @Schema(description = "是否启用")
    @NotNull(message = "是否启用不能为空")
    private Integer isUse;
}
