package com.yc.ship.module.otc.controller.admin.agencyLoginLog.vo;

import com.yc.ship.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static com.yc.ship.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 旅行社信息登录记录分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AgencyLoginLogPageReqVO extends PageParam {

    @Schema(description = "旅行社", example = "14953")
    private Long agencyId;

    @Schema(description = "门店ID", example = "9649")
    private Long storeId;

    @Schema(description = "设备ID", example = "31743")
    private Long machineId;

    @Schema(description = "登录令牌")
    private String accessToken;

    @Schema(description = "用户ID", example = "16520")
    private Long userId;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}