package com.yc.ship.module.otc.controller.admin.agencyLoginLog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 旅行社信息登录记录新增/修改 Request VO")
@Data
public class AgencyLoginLogSaveReqVO {


    @Schema(description = "门店ID", example = "9649")
    @NotNull(message = "门店ID不能为空")
    private Long storeId;

    @Schema(description = "门店名称", example = "北京门店")
    private String storeName;

    @Schema(description = "设备ID", example = "31743")
    @NotNull(message = "设备ID不能为空")
    private Long machineId;

    @Schema(description = "设备名称", example = "iPhone 12")
    private String machineName;
}
