package com.yc.ship.module.otc.controller.admin.otclevel.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 旅行社等级管理 Response VO")
@Data
@ExcelIgnoreUnannotated
public class OtcLevelRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "11469")
    @ExcelProperty("主键")
    private Long id;

    @Schema(description = "等级名称", example = "李四")
    @ExcelProperty("等级名称")
    private String levelName;

    @Schema(description = "折扣率 80 90 ...", example = "20887")
    @ExcelProperty("折扣率 80 90 ...")
    private Integer discount;

    @Schema(description = "政策描述", example = "随便")
    @ExcelProperty("政策描述")
    private String remark;

    @Schema(description = "适用房型字典hotel_room_type", example = "2")
    @ExcelProperty("适用房型字典hotel_room_type")
    private Integer hotelRoomType;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}