package com.yc.ship.module.otc.controller.admin.print.vo;

import com.yc.ship.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static com.yc.ship.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 打印模板分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class PrintPageReqVO extends PageParam {

    @Schema(description = "模板名称", example = "王五")
    private String templateName;

    @Schema(description = "打印机名称（空表示默认打印机）", example = "王五")
    private String printerName;

    @Schema(description = "模板类型", example = "1")
    private Integer templateType;

    @Schema(description = "打印模板编号")
    private String templateCode;

    @Schema(description = "是否为默认模板（一个类型只能有一个默认模板）：0否，1是")
    private Integer isDefault;

    @Schema(description = "状态")
    private Integer isUse;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
