package com.yc.ship.module.otc.controller.admin.store.machineproduct;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 门店设备关联 Response VO")
@Data
@ExcelIgnoreUnannotated
public class StoreMachineProductRespVO {

    @Schema(description = "门店设备产品关联表ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "28322")
    @ExcelProperty("门店设备产品关联表ID")
    private Long id;

    @Schema(description = "门店ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "6141")
    @ExcelProperty("门店ID")
    private Long storeId;

    @Schema(description = "产品ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "28269")
    @ExcelProperty("产品ID")
    private Long productId;

    @Schema(description = "设备ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "9296")
    @ExcelProperty("设备ID")
    private Long machineId;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
