package com.yc.ship.module.otc.controller.admin.store.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.yc.ship.module.otc.controller.admin.storecard.vo.StoreCardRespVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 旅行社门店 Response VO")
@Data
@ExcelIgnoreUnannotated
public class StoreRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "6825")
    @ExcelProperty("主键")
    private Long id;

    @Schema(description = "门店编码")
    @ExcelProperty("门店编码")
    private String storeCode;

    @Schema(description = "门店名称", example = "李四")
    @ExcelProperty("门店名称")
    private String storeName;

    @Schema(description = "联系电话", example = "李四")
    @ExcelProperty("联系电话")
    private String tel;

    @Schema(description = "预付款类型 0 禁用 1共享预付款 2定向预付款", example = "")
    private Integer balanceType;

    @Schema(description = "授信类型 0 禁用 1共享授信 2定向授信", example = "")
    private Integer creditType;

    @Schema(description = "门店余额", example = "")
    private BigDecimal balance;

    @Schema(description = "授信额度")
    private BigDecimal credit;

    @Schema(description = "启用状态 0否 1是")
    @ExcelProperty("启用状态 0否 1是")
    private Integer isUse;
    @Schema(description = "审核状态")
    private Integer auditStatus;

    @Schema(description = "排序号")
    @ExcelProperty("排序号")
    private Integer sortNum;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "更新时间")
    @ExcelProperty("更新时间")
    private LocalDateTime updateTime;

    private StoreCardRespVO cardRespVO;
    @Schema(description = "招行短号")
    private String cmbShortNo;

    @Schema(description = "分销商名称")
    private String agencyName;
    @Schema(description = "文件附件")
    private String fileUrl;
    @Schema(description = "图片附件")
    private String imageUrl;
}
