package com.yc.ship.module.otc.controller.admin.store.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 旅行社门店新增/修改 Request VO")
@Data
public class StoreSaveReqVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "6825")
    private Long id;

    @Schema(description = "门店编码")
    private String storeCode;

    @Schema(description = "门店名称", example = "李四")
    private String storeName;

    @Schema(description = "联系电话", example = "李四")
    @ExcelProperty("联系电话")
    private String tel;

    @Schema(description = " 0 禁用 1共享预付款 2定向预付款")
    private Integer balanceType;

    @Schema(description = " 0 禁用 1共享授信 2定向授信")
    private Integer creditType;

    @Schema(description = "授信额度")
    private BigDecimal credit;

    @Schema(description = "启用状态 0否 1是")
    private Integer isUse;

    @Schema(description = "审核状态 0否 1是")
    private Integer auditStatus;

    @Schema(description = "门店介绍")
    private String storeIntroduction;

    @Schema(description = "排序号")
    private Integer sortNum;

    @Schema(description = "招行门店短号，对公转账使用")
    private String cmbShortNo;

    @Schema(description = "文件附件")
    private String fileUrl;
    @Schema(description = "图片附件")
    private String imageUrl;
}
