package com.yc.ship.module.otc.controller.admin.storecard.vo;

import com.yc.ship.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import static com.yc.ship.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 门店资金卡分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class StoreCardPageReqVO extends PageParam {

    @Schema(description = "门店id", example = "32135")
    private Long storeId;

    @Schema(description = "门店余额")
    private BigDecimal balance;

    @Schema(description = "预付款类型 0 禁用 1共享预付款 2定向预付款", example = "")
    private Integer balanceType;

    @Schema(description = "授信类型 0 禁用 1共享授信 2定向授信", example = "")
    private Integer creditType;

    @Schema(description = "授信额度")
    private BigDecimal credit;

    @Schema(description = "已用额度")
    private BigDecimal surplus;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
