package com.yc.ship.module.otc.controller.admin.storescheduling.user;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 班次售票员 Response VO")
@Data
@ExcelIgnoreUnannotated
public class StoreSchedulingUserRespVO {

    @Schema(description = "班次用户表ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "28484")
//    @ExcelProperty("班次表ID")
    private Long id;

    @Schema(description = "用户ID", example = "2060")
//    @ExcelProperty("用户ID")
    private Long userId;

    @Schema(description = "班次表ID", example = "367")
//    @ExcelProperty("门市表ID")
    private Long schedulingId;

    @Schema(description = "用户昵称", example = "2060")
    @ExcelProperty("用户昵称")
    private String userName;

    @Schema(description = "班次名称", example = "2060")
    @ExcelProperty("班次名称")
    private String schedulingName;

    @Schema(description = "班次时间段", example = "2060")
    @ExcelProperty("班次时间段")
    private String schedulingTime;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
