package com.yc.ship.module.otc.dal.dataobject.otclevel;

import com.yc.ship.framework.mybatis.core.dataobject.BaseDO;
import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;

/**
 * 旅行社等级管理 DO
 *
 * @author 管理员
 */
@TableName("otc_level")
@KeySequence("otc_level_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OtcLevelDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 等级名称
     */
    private String levelName;
    /**
     * 折扣率 80 90 ...
     */
    private Integer discount;
    /**
     * 政策描述
     */
    private String remark;
    /**
     * 适用房型字典hotel_room_type
     */
    private Integer hotelRoomType;

}