package com.yc.ship.module.otc.dal.dataobject.print;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sun.xml.bind.v2.TODO;
import com.yc.ship.framework.tenant.core.db.TenantBaseDO;
import lombok.*;

import java.math.BigDecimal;

/**
 * 打印模板 DO
 *
 * @author 管理员
 */
@TableName("print_temp")
@KeySequence("print_temp_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PrintDO extends TenantBaseDO {

    /**
     * 模板主键ID
     */
    @TableId
    private Long id;
    /**
     * 模板名称
     */
    private String templateName;
    /**
     * 打印机名称（空表示默认打印机）
     */
    private String printerName;
    /**
     * 模板类型
     * <p>
     * 枚举 {@link TODO print_template_type 对应的类}
     */
    private Integer templateType;
    /**
     * 打印模板编号
     */
    private String templateCode;
    /**
     * 背景图片
     */
    private String backgroundImg;
    /**
     * 摆放模式
     * <p>
     * 枚举 {@link TODO print_put_type 对应的类}
     */
    private Integer putType;
    /**
     * 宽度
     */
    private BigDecimal width;
    /**
     * 高度
     */
    private BigDecimal height;
    /**
     * 页面打印单位
     */
    private String pageUnit;
    /**
     * 模板设计数据
     */
    private String tempData;
    /**
     * 模板内容数据
     */
    private String contentData;
    /**
     * 模板json数据
     */
    private String content;
    /**
     * 是否为默认模板（一个类型只能有一个默认模板）：0否，1是
     * <p>
     * 枚举 {@link TODO yes_no 对应的类}
     */
    private Integer isDefault;
    /**
     * 状态
     * <p>
     * 枚举 {@link TODO use_status 对应的类}
     */
    private Integer isUse;

}
