package com.yc.ship.module.otc.dal.dataobject.store;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yc.ship.framework.tenant.core.db.TenantBaseDO;
import lombok.*;

import java.util.List;

/**
 * 门店设备关联 DO
 *
 * @author 管理员
 */
@TableName("otc_agency_store_machine_product")
@KeySequence("otc_agency_store_machine_product_seq")
// 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class StoreMachineProductDO extends TenantBaseDO {

    /**
     * 门店设备产品关联表ID
     */
    @TableId
    private Long id;
    /**
     * 门店ID
     */
    private Long storeId;
    /**
     * 产品ID
     */
    private Long productId;
    /**
     * 设备ID
     */
    private Long machineId;

    /**
     * 关联产品ID
     */
    @TableField(exist = false)
    private List<Long> checkedValues;
}
