package com.yc.ship.module.otc.service.link;

import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.module.otc.controller.admin.link.vo.LinkPageReqVO;
import com.yc.ship.module.otc.controller.admin.link.vo.LinkSaveReqVO;
import com.yc.ship.module.otc.dal.dataobject.link.LinkDO;

import javax.validation.Valid;

/**
 * 链接管理 Service 接口
 *
 * @author 管理员
 */
public interface LinkService {

    /**
     * 创建链接管理
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createLink(@Valid LinkSaveReqVO createReqVO);

    /**
     * 更新链接管理
     *
     * @param updateReqVO 更新信息
     */
    void updateLink(@Valid LinkSaveReqVO updateReqVO);

    /**
     * 删除链接管理
     *
     * @param id 编号
     */
    void deleteLink(Long id);

    /**
     * 获得链接管理
     *
     * @param id 编号
     * @return 链接管理
     */
    LinkDO getLink(Long id);

    /**
     * 获得链接管理分页
     *
     * @param pageReqVO 分页查询
     * @return 链接管理分页
     */
    PageResult<LinkDO> getLinkPage(LinkPageReqVO pageReqVO);

}
