package com.yc.ship.module.resource.controller.admin.category.vo;

import com.yc.ship.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static com.yc.ship.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;


@Schema(description = "管理后台 - 资源-产品分类分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CategoryPageReqVO extends PageParam {

    @Schema(description = "父ID", example = "27454")
    private Long parentId;

    @Schema(description = "编码")
    private String cateCode;

    @Schema(description = "分类名称", example = "芋艿")
    private String cateName;

    @Schema(description = "状态", example = "1")
    private Integer useStatus;

    @Schema(description = "排序号")
    private Integer sortNum;

    @Schema(description = "类型;0资源分类 1产品分类", example = "1")
    private Integer type;

    @Schema(description = "父路径;逗号分隔")
    private String parentPath;

    @Schema(description = "类型ID")
    private String typeId;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
