package com.yc.ship.module.resource.controller.admin.channel.vo;

import com.yc.ship.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static com.yc.ship.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;


@Schema(description = "管理后台 - 通道分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ScenicChannelPageReqVO extends PageParam {

    @Schema(description = "检票站点", example = "6586")
    private Long siteId;

    @Schema(description = "名称", example = "王五")
    private String name;

    @Schema(description = "出入类型;0入口 1出口", example = "2")
    private Integer doorwayType;

    @Schema(description = "是否启用")
    private Integer isUse;

    @Schema(description = "排序")
    private Integer sortNum;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
