package com.yc.ship.module.resource.controller.admin.channel.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.yc.ship.framework.excel.core.annotations.DictFormat;
import com.yc.ship.framework.excel.core.convert.DictConvert;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 通道 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ScenicChannelRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "22530")
    private Long id;

    @Schema(description = "站点ID", example = "6586")
    private Long siteId;

    @Schema(description = "站点名称", example = "15150")
    @ExcelProperty("站点名称")
    private String siteName;

    @Schema(description = "名称", example = "王五")
    @ExcelProperty("名称")
    private String name;

    @Schema(description = "出入类型", example = "2")
    @ExcelProperty(value = "出入类型", converter = DictConvert.class)
    @DictFormat("doorway_type") // TODO 代码优化：建议设置到对应的 DictTypeConstants 枚举类中
    private Integer doorwayType;

    @Schema(description = "是否启用")
    @ExcelProperty(value = "是否启用", converter = DictConvert.class)
    @DictFormat("use_status") // TODO 代码优化：建议设置到对应的 DictTypeConstants 枚举类中
    private Integer isUse;

    @Schema(description = "排序")
    @ExcelProperty("排序")
    private Integer sortNum;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "通道类型", example = "2")
    @ExcelProperty(value = "通道类型", converter = DictConvert.class)
    @DictFormat("site_type") // TODO 代码优化：建议设置到对应的 DictTypeConstants 枚举类中
    private Integer siteType;
}
