package com.yc.ship.module.resource.controller.admin.machine.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 设备新增/修改 Request VO")
@Data
public class ScenicMachineSaveReqVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "15125")
    private Long id;

    @Schema(description = "名称", example = "李四")
    private String name;

    @Schema(description = "通道ID", example = "4656")
    private Long channelId;

    @Schema(description = "设备类型", example = "2")
    private Integer machineType;

    @Schema(description = "设备状态", example = "1")
    private Integer machineStatus;

    @Schema(description = "设备ID", example = "13048")
    private String machineId;

    @Schema(description = "是否启用")
    private Long isUse;

    @Schema(description = "排序")
    private Integer sortNum;

    @Schema(description = "终端号")
    private String payTerminalCode;

    @Schema(description = "序列号")
    private String paySerialNum;

    @Schema(description = "序列号密文数据")
    private String paySecretText;

    @Schema(description = "应用程序版本号")
    private String payAppVersion;

    @Schema(description = "经度")
    private String payLongitude;

    @Schema(description = "纬度")
    private String payLatitude;

    @Schema(description = "pos终端号")
    private String posNo;

    /**
     * 是否可以编辑
     */
    @Schema(description = "是否可以编辑")
    private Integer isModify;

}
