package com.yc.ship.module.resource.controller.admin.productRoute.vo;

import com.yc.ship.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static com.yc.ship.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;


@Schema(description = "管理后台 - 基础产品路线分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ProductRoutePageReqVO extends PageParam {

    @Schema(description = "路线名称", example = "李四")
    private String name;

    @Schema(description = "开始点位")
    private Long startPoint;

    @Schema(description = "开始点位名称", example = "李四")
    private String startPointName;

    @Schema(description = "结束点位")
    private Long endPoint;

    @Schema(description = "结束点位名称", example = "王五")
    private String endPointName;

    @Schema(description = "启用状态 0禁用 1启用", example = "1")
    private Integer useStatus;

    @Schema(description = "分页 0不分页 1分页", example = "1")
    private Integer pageSizeNone = 1;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}