package com.yc.ship.module.resource.controller.admin.project.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 产品项目 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ProjectRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "6825")
    @ExcelProperty("主键")
    private Long id;

    @Schema(description = "名称", example = "赵六")
    @ExcelProperty("名称")
    private String name;

    @Schema(description = "父项目id", example = "0")
    @ExcelProperty("父项目id")
    private Long parentId;

    @Schema(description = "编码")
    @ExcelProperty("编码")
    private String code;

    @Schema(description = "类型:0项目1自定义规格2默认规格", example = "1")
    @ExcelProperty("类型:0项目1自定义规格2默认规格")
    private Integer type;

    @Schema(description = "规格类型:0通用1全价2半价3免票", example = "1")
    @ExcelProperty("规格类型:0通用1全价2半价3免票")
    private String specificationType;

    @Schema(description = "排序")
    @ExcelProperty("排序")
    private Integer sort;

    @Schema(description = "启用状态: 0停用 1启用")
    @ExcelProperty("启用状态: 0停用 1启用")
    private Integer useStatus;

    @Schema(description = "更新时间")
    @ExcelProperty("更新时间")
    private LocalDateTime updateTime;

}