package com.yc.ship.module.resource.controller.admin.project.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 产品项目新增/修改 Request VO")
@Data
public class ProjectSaveReqVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "6825")
    private Long id;

    @Schema(description = "名称", example = "赵六")
    private String name;

    @Schema(description = "父项目id", example = "0")
    private Long parentId;

    @Schema(description = "编码")
    private String code;

    @Schema(description = "类型:0项目,1自定义规格,2默认规格", example = "1")
    private Integer type;

    @Schema(description = "规格类型:0通用1全价2半价3免票", example = "1")
    private String specificationType;

    @Schema(description = "启用状态: 0停用 1启用")
    private Integer useStatus;

    @Schema(description = "排序")
    private Integer sort;

}