package com.yc.ship.module.resource.controller.admin.scenic.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 景区管理新增/修改 Request VO")
@Data
public class ResourceScenicSaveReqVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "14410")
    private Long id;

    @Schema(description = "景区名称", example = "张三")
    private String name;

    @Schema(description = "所属供应商", example = "15781")
    private Long supplierId;

    @Schema(description = "省份ID", example = "15086")
    private Integer provinceId;

    @Schema(description = "省份名称", example = "芋艿")
    private String provinceName;

    @Schema(description = "城市ID", example = "12118")
    private Integer cityId;

    @Schema(description = "城市名称", example = "芋艿")
    private String cityName;

    @Schema(description = "区县ID", example = "26359")
    private Integer countyId;

    @Schema(description = "区县名称", example = "芋艿")
    private String countyName;

    @Schema(description = "详细地址")
    private String address;

    @Schema(description = "景区介绍")
    private String introduce;

    @Schema(description = "所属码头ID", example = "19621")
    private Long dockId;

    @Schema(description = "中文语音")
    private String voiceZh;

    @Schema(description = "英文语音")
    private String voiceEn;

    @Schema(description = "中文视频")
    private String videoZh;

    @Schema(description = "英文视频")
    private String videoEn;

    @Schema(description = "游玩线路")
    private String travelLine;

    @Schema(description = "景区图片")
    private String pic;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotNull(message = "状态不能为空")
    private Integer status;

}