package com.yc.ship.module.resource.controller.admin.ship.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import com.yc.ship.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static com.yc.ship.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 资源管理-游轮管理分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ResourceShipPageReqVO extends PageParam {

    @Schema(description = "游轮名称", example = "王五")
    private String name;

    @Schema(description = "游轮编码")
    private String code;

    @Schema(description = "所属供应商", example = "10578")
    private Long supplierId;

    @Schema(description = "游轮类型", example = "20445")
    private Long shipTypeId;

    @Schema(description = "状态", example = "2")
    private Integer status;

}