package com.yc.ship.module.resource.controller.admin.ship.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;
import com.yc.ship.framework.excel.core.annotations.DictFormat;
import com.yc.ship.framework.excel.core.convert.DictConvert;

@Schema(description = "管理后台 - 资源管理-游轮管理 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ResourceShipRespVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "24474")
    @ExcelProperty("ID")
    private Long id;

    @Schema(description = "游轮名称", example = "王五")
    @ExcelProperty("游轮名称")
    private String name;

    @Schema(description = "游轮编码")
    @ExcelProperty("游轮编码")
    private String code;

    @Schema(description = "所属供应商", example = "10578")
    @ExcelProperty("所属供应商")
    private Long supplierId;

    @Schema(description = "游轮类型", example = "20445")
    @ExcelProperty("游轮类型")
    private Long shipTypeId;

    @Schema(description = "游轮类型名称")
    @ExcelProperty("游轮类型名称")
    private String shipTypeName;

    @Schema(description = "船长（米）")
    @ExcelProperty("船长（米）")
    private Double shipLength;

    @Schema(description = "船宽（米）")
    @ExcelProperty("船宽（米）")
    private Double shipWidth;

    @Schema(description = "船舶净吨(吨)")
    @ExcelProperty("船舶净吨(吨)")
    private Double shipWeight;

    @Schema(description = "吃水深度(米)")
    @ExcelProperty("吃水深度(米)")
    private Double shipDraft;

    @Schema(description = "楼层数量")
    @ExcelProperty("楼层数量")
    private Integer floorsNum;

    @Schema(description = "排水量")
    @ExcelProperty("排水量")
    private Double displacement;

    @Schema(description = "规模")
    @ExcelProperty("规模")
    private String shipScale;

    @Schema(description = "备注", example = "随便")
    @ExcelProperty("备注")
    private String remark;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @ExcelProperty(value = "状态", converter = DictConvert.class)
    @DictFormat("common_status") // TODO 代码优化：建议设置到对应的 DictTypeConstants 枚举类中
    private Integer status;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}