package com.yc.ship.module.resource.controller.admin.supplier.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Builder;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Schema(description = "管理后台 - 供应商导入 Response VO")
@Data
@Builder
public class SupplierImportRespVO {

    @Schema(description = "创建成功的供应商名数组", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<String> createSuppliers;

    @Schema(description = "更新成功的供应商数组", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<String> updateSuppliers;

    @Schema(description = "导入失败的供应商集合，key 为用户名，value 为失败原因", requiredMode = Schema.RequiredMode.REQUIRED)
    private Map<String, String> failureSuppliers;

}
