package com.yc.ship.module.resource.controller.admin.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Date;

@Schema(description = "管理后台 - 资源分类列表 Request VO")
@Data
public class AppCategoryReqVO {

    @Schema(description = "分类ID/产品ID", example = "慧旅")
    private Long id;

    @Schema(description = "名称，模糊匹配", example = "慧旅")
    private String cateName;

    @Schema(description = "状态 0禁用 1启用", example = "1")
    private Integer useStatus = 1;

    @Schema(description = "类型 0资源分类 1产品分类 2小程序产品分类", example = "2")
    private Integer type = 2;

    @Schema(description = "启用热门推荐", example = "1")
    private Integer enableHotAds;

    @Schema(description = "经度", example = "1")
    private String longitude;

    @Schema(description = "纬度", example = "1")
    private String latitude;

    @Schema(description = "米", example = "1")
    private Integer rice;

    @Schema(description = "出行日期", example = "2024-06-01")
    private Date travelDate;

    @Schema(description = "时间方案ID", example = "1")
    private Long planId;

}
