package com.yc.ship.module.resource.controller.admin.vo;

import com.yc.ship.module.resource.controller.admin.category.vo.CategoryExtraRespVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 资源-产品分类 Response VO")
@Data
public class AppCategoryRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "21187")
    private Long id;

    @Schema(description = "父ID", example = "27454")
    private Long parentId;

    @Schema(description = "状态", example = "2")
    private Integer useStatus;

    @Schema(description = "编码")
    private String cateCode;

    @Schema(description = "分类名称", example = "芋艿")
    private String cateName;

    @Schema(description = "排序号")
    private Integer sortNum;

    @Schema(description = "类型;0资源分类 1产品分类 2小程序产品分类", example = "1")
    private Integer type;

    @Schema(description = "父路径;逗号分隔")
    private String parentPath;

    @Schema(description = "创建时间")
    private LocalDateTime createTime;

    @Schema(description = "关联资源数量")
    private Integer resourceNum;

    @Schema(description = "该分类下的已售数量", example = "1")
    private Integer sellNum;

    @Schema(description = "小程序信息")
    private CategoryExtraRespVO extraInfo;

}
