package com.yc.ship.module.resource.dal.dataobject.category;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yc.ship.framework.tenant.core.db.TenantBaseDO;
import lombok.*;

/**
 * 资源-产品分类 DO
 *
 * @author 管理员
 */
@TableName("product_category")
@KeySequence("product_category_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CategoryDO extends TenantBaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 父ID
     */
    private Long parentId;
    /**
     * 编码
     */
    private String cateCode;
    /**
     * 分类名称
     */
    private String cateName;
    /**
     * 排序号
     */
    private Integer sortNum;
    /**
     * 类型;0资源分类 1产品分类 2小程序产品分类
     */
    private Integer type;
    /**
     * 全路径名称
     */
    private String fullPathName;
    /**
     * 父路径;逗号分隔
     */
    private String parentPath;
    /**
     * 使用状态
     */
    private Integer useStatus;

}