package com.yc.ship.module.resource.dal.dataobject.channel;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sun.xml.bind.v2.TODO;
import com.yc.ship.framework.tenant.core.db.TenantBaseDO;
import lombok.*;

/**
 * 通道 DO
 *
 * @author 管理员
 */
@TableName("scenic_channel")
@KeySequence("scenic_channel_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ScenicChannelDO extends TenantBaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 检票站点
     */
    private Long siteId;
    /**
     * 名称
     */
    private String name;
    /**
     * 出入类型;0入口 1出口
     * <p>
     * 枚举 {@link TODO doorway_type 对应的类}
     */
    private Integer doorwayType;
    /**
     * 是否启用
     * <p>
     * 枚举 {@link TODO use_status 对应的类}
     */
    private Integer isUse;
    /**
     * 排序
     */
    private Integer sortNum;

    /**
     * 站点，目前使用 SysUser 的 id 编号
     * <p>
     * 使用 String 类型的原因是，未来可能会存在非数值的情况，留好拓展性。
     */
    @TableField(exist = false)
    private String siteName;
}
