package com.yc.ship.module.resource.dal.dataobject.scenic;

import com.yc.ship.framework.tenant.core.db.TenantBaseDO;
import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import com.yc.ship.framework.mybatis.core.dataobject.BaseDO;

/**
 * 景区管理 DO
 *
 * @author flycloud
 */
@TableName("resource_scenic")
@KeySequence("resource_scenic_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ResourceScenicDO extends TenantBaseDO {

    /**
     * ID
     */
    @TableId
    private Long id;
    /**
     * 景区名称
     */
    private String name;
    /**
     * 所属供应商
     */
    private Long supplierId;
    /**
     * 省份ID
     */
    private Integer provinceId;
    /**
     * 省份名称
     */
    private String provinceName;
    /**
     * 城市ID
     */
    private Integer cityId;
    /**
     * 城市名称
     */
    private String cityName;
    /**
     * 区县ID
     */
    private Integer countyId;
    /**
     * 区县名称
     */
    private String countyName;
    /**
     * 详细地址
     */
    private String address;
    /**
     * 景区介绍
     */
    private String introduce;
    /**
     * 所属码头ID
     */
    private Long dockId;
    /**
     * 中文语音
     */
    private String voiceZh;
    /**
     * 英文语音
     */
    private String voiceEn;
    /**
     * 中文视频
     */
    private String videoZh;
    /**
     * 英文视频
     */
    private String videoEn;
    /**
     * 游玩线路
     */
    private String travelLine;
    /**
     * 景区图片
     */
    private String pic;
    /**
     * 状态
     *
     * 枚举 {@link TODO common_status 对应的类}
     */
    private Integer status;

}