package com.yc.ship.module.resource.dal.dataobject.supplier;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yc.ship.framework.tenant.core.db.TenantBaseDO;
import lombok.*;

import java.time.LocalDateTime;

/**
 * 资源供应商 DO
 *
 * @author 管理员
 */
@TableName("product_supplier")
@KeySequence("product_supplier_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SupplierDO extends TenantBaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 供应商名称
     */
    private String name;

    /**
     * 简称
     */
    private String shortName;
    /**
     * 供应商类型（0：内部供应商，1：外部供应商）
     */
    private Integer type;
    /**
     * 合作状态（0：合作中止，1：合作中）
     */
    private Integer useStatus;
    /**
     * 合作开始时间
     */
    private LocalDateTime cooperateStartTime;
    /**
     * 合作结束时间
     */
    private LocalDateTime cooperateEndTime;
    /**
     * 联系人
     */
    private String contactMan;
    /**
     * 联系电话
     */
    private String contactPhone;
    /**
     * 联系地址
     */
    private String contactAddress;
    /**
     * 业务区域
     */
    private String businessArea;
    /**
     * 合同
     */
    private String contract;
    /**
     * 是否系统直连（0：否，1-是）
     */
    private Integer isSystemDirect;
    /**
     * 系统直连参数
     */
    private String directParam;
    /**
     * 系统直连账号
     */
    private String directAccount;
    /**
     * 系统直连下单地址
     */
    private String directOrderUrl;
    /**
     * 系统直连核销地址
     */
    private String directCheckUrl;
    /**
     * 系统直连退票地址
     */
    private String directRefundUrl;
    /**
     * 直连供应商系统
     */
    private String directServer;
    /**
     * 单位名称（同供应商名称）
     */
    private String unitName;
    /**
     * 单位地址
     */
    private String unitAddress;
    /**
     * 开户行
     */
    private String bankName;
    /**
     * 银行账户
     */
    private String bankAccount;
    /**
     * 税号
     */
    private String taxId;
    /**
     * 电话
     */
    private String telephone;
    /**
     * 联行号
     */
    private String interbankNumber;


    @TableField(exist = false)
    private String resourceCategory;

}