package com.yc.ship.module.resource.dal.mysql.supplier;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.framework.mybatis.core.mapper.BaseMapperX;
import com.yc.ship.framework.mybatis.core.query.LambdaQueryWrapperX;
import com.yc.ship.module.resource.controller.admin.supplier.vo.SupplierListReqVO;
import com.yc.ship.module.resource.controller.admin.supplier.vo.SupplierPageReqVO;
import com.yc.ship.module.resource.controller.admin.supplier.vo.SupplierRespVO;
import com.yc.ship.module.resource.dal.dataobject.supplier.SupplierDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 资源供应商 Mapper
 *
 * @author 管理员
 */
@Mapper
public interface SupplierMapper extends BaseMapperX<SupplierDO> {

    default PageResult<SupplierDO> selectPage(SupplierPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<SupplierDO>()
                .likeIfPresent(SupplierDO::getName, reqVO.getName())
                .eqIfPresent(SupplierDO::getType, reqVO.getType())
                .eqIfPresent(SupplierDO::getUseStatus, reqVO.getUseStatus())
                .gtIfPresent(SupplierDO::getCooperateStartTime, reqVO.getCooperateStartTime())
                .ltIfPresent(SupplierDO::getCooperateEndTime, reqVO.getCooperateEndTime())
                .eqIfPresent(SupplierDO::getContactMan, reqVO.getContactMan())
                .eqIfPresent(SupplierDO::getContactPhone, reqVO.getContactPhone())
                .eqIfPresent(SupplierDO::getContactAddress, reqVO.getContactAddress())
                .eqIfPresent(SupplierDO::getBusinessArea, reqVO.getBusinessArea())
                .eqIfPresent(SupplierDO::getContract, reqVO.getContract())
                .eqIfPresent(SupplierDO::getShortName,reqVO.getShortName())
                .eqIfPresent(SupplierDO::getIsSystemDirect, reqVO.getIsSystemDirect())
                .eqIfPresent(SupplierDO::getDirectParam, reqVO.getDirectParam())
                .eqIfPresent(SupplierDO::getDirectAccount, reqVO.getDirectAccount())
                .eqIfPresent(SupplierDO::getDirectOrderUrl, reqVO.getDirectOrderUrl())
                .eqIfPresent(SupplierDO::getDirectCheckUrl, reqVO.getDirectCheckUrl())
                .eqIfPresent(SupplierDO::getDirectRefundUrl, reqVO.getDirectRefundUrl())
                .likeIfPresent(SupplierDO::getUnitName, reqVO.getUnitName())
                .eqIfPresent(SupplierDO::getUnitAddress, reqVO.getUnitAddress())
                .likeIfPresent(SupplierDO::getBankName, reqVO.getBankName())
                .eqIfPresent(SupplierDO::getBankAccount, reqVO.getBankAccount())
                .eqIfPresent(SupplierDO::getTaxId, reqVO.getTaxId())
                .eqIfPresent(SupplierDO::getTelephone, reqVO.getTelephone())
                .eqIfPresent(SupplierDO::getInterbankNumber, reqVO.getInterbankNumber())
                .betweenIfPresent(SupplierDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(SupplierDO::getId));
    }

    IPage<SupplierRespVO> queryPage(IPage<SupplierRespVO> iPage, @Param("param")SupplierPageReqVO pageReqVO);
    List<SupplierDO> getSimpleListByCategory(@Param("param") SupplierListReqVO param);

}