package com.yc.ship.module.resource.service.productRoute;

import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.module.resource.controller.admin.productRoute.vo.ProductRoutePageReqVO;
import com.yc.ship.module.resource.controller.admin.productRoute.vo.ProductRouteSaveReqVO;
import com.yc.ship.module.resource.dal.dataobject.productRoute.ProductRouteDO;

import javax.validation.Valid;

/**
 * 基础产品路线 Service 接口
 *
 * @author 管理员
 */
public interface ProductRouteService {

    /**
     * 创建基础产品路线
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createRoute(@Valid ProductRouteSaveReqVO createReqVO);

    /**
     * 更新基础产品路线
     *
     * @param updateReqVO 更新信息
     */
    void updateRoute(@Valid ProductRouteSaveReqVO updateReqVO);

    /**
     * 删除基础产品路线
     *
     * @param id 编号
     */
    void deleteRoute(Long id);

    /**
     * 获得基础产品路线
     *
     * @param id 编号
     * @return 基础产品路线
     */
    ProductRouteDO getRoute(Long id);

    /**
     * 获得基础产品路线分页
     *
     * @param pageReqVO 分页查询
     * @return 基础产品路线分页
     */
    PageResult<ProductRouteDO> getRoutePage(ProductRoutePageReqVO pageReqVO);

}